KStars Revision History

To produce log below, use:

$ git log --date=short --pretty=format:"%h %ad %<(20)%an %<(150,trunc)%s"

3.6.3 (ZTF):

a250eb5f3 2023-01-31 Jasem Mutlaq         INDI drivers sync
833cc0dc1 2023-01-30 Jasem Mutlaq         Add missing overall percentage
962673337 2023-01-30 Jasem Mutlaq         Fix meridian flip update throttling issue
62ac48afb 2023-01-28 Jasem Mutlaq         Use MD5 unique signature instead of random UUID since the latter cannot be used again
a3633aa2b 2023-01-28 Jasem Mutlaq         Traced down the issue to the debounce timer introduced before. Needs to be disabled for programattic imports
a82b08561 2023-01-28 Jasem Mutlaq         Fix timing issue with mosaic import
9a8f4739a 2023-01-27 Jasem Mutlaq         Need to save mosaic information on train change in align module
c540e4546 2023-01-26 Jasem Mutlaq         When syncing devices we must reset the combo boxes to previous state
da9595154 2023-01-26 Jasem Mutlaq         Fix typo
327e831b5 2023-01-26 Jasem Mutlaq         Fix deprecated INDI 2.0.0 warnings
6dfc7c571 2023-01-26 Jasem Mutlaq         Use same format as previous version of KStars to be consistent
ad163ad69 2023-01-26 Jasem Mutlaq         Fix major calculation error in calculating DSLR field of view
48b170a28 2023-01-26 Jasem Mutlaq         Refresh scope list after editing equipment manager otherwise newly added optical elements do not show up
6a13a7f70 2023-01-23 Jasem Mutlaq         Disable EQGrid since it is no longer needed
640c86a95 2023-01-23 Jasem Mutlaq         Delay emitting newFrame since align view does not render immediately
3e2ee4da5 2023-01-23 Jasem Mutlaq         Misc fixes to code style. Make sure we emit update whenever any element is updated
ee28def5b 2023-01-23 Jasem Mutlaq         Use tooltips instead of dedicated UI to show the preview filename
b83f57bc4 2023-01-21 Jasem Mutlaq         INDI drivers sync
ae8750ee7 2023-01-20 John Evans           Auto focus overscan
4aa8b9660 2023-01-19 Jasem Mutlaq         Fix compile error on Windows
b73651e41 2023-01-18 Jasem Mutlaq         Remove unnecessary headers
8294000cc 2023-01-16 Yuri Chornoivan      Fix minor typos
94a629497 2023-01-15 Hy Murveit           Update handbook for polar alignment
9670a2b57 2023-01-14 Wolfgang Reissenberger Fixing compiler warnings for anonymous non-c-compatible type defs
cd8468a4c 2023-01-13 Hy Murveit           Fix deprecations
67c277420 2023-01-12 Jasem Mutlaq         Fix few INDI warnings
a613b41fd 2023-01-11 Jasem Mutlaq         Update to support INDI v2.0.0
04c226d02 2023-01-10 Yuri Chornoivan      Fix minor typo
dea0c5630 2023-01-10 Ed Lee               Manage path separator between directory and format.
f65e6c7e8 2023-01-09 Hy Murveit           Make Greedy the default scheduer algorithm
8027ac261 2023-01-09 Wolfgang Reissenberger Restructured Capture header file to improve the readability
3c3a686e9 2023-01-09 Jurgen Doreleijers   FITS histogram limited scroll and zoom. See #239 assuming only positive pixel intensities.
882a0a360 2023-01-03 Hy Murveit           Add custom y-axes to Analyze Statistics plot.
a5bf0733f 2023-01-08 Wolfgang Reissenberger State machine for guiding deviation
7572cabec 2023-01-05 Hy Murveit           Move some includes from .h to .cpp files when not needed in the .h.
e719762dd 2023-01-02 Dušan Poizl          Change Part# to Part_# in mosaic tool
ebda16652 2023-01-02 Hy Murveit           Make the right ekos options tab display for capture and scheduler. Start options on top.
a0424db1c 2023-01-01 Jasem Mutlaq         Add uuid and zoom to payload
5b4455e31 2023-01-01 Hy Murveit           Add WindowStaysOnTopHint on Mac OS
993ba254d 2022-12-31 Jurgen Doreleijers   Fix for #237 FITS viewer fails to show the button for toggling star detection
0c603711f 2022-12-30 Wolfgang Reissenberger Re-focusing state machine for Capture
71ae9043c 2022-12-28 Wolfgang Reissenberger Bug fix for capture target part III
6f18babd3 2022-12-27 Jasem Mutlaq         Guiding --> Guider so that it is consistent
4e8e992de 2022-12-26 Wolfgang Reissenberger Bug fix for capture target part II
19a9b07e3 2022-12-24 Hy Murveit           speedup for the clipping calculations
987476f44 2022-12-24 Jasem Mutlaq         Improve description
231a5e06b 2022-12-23 Hy Murveit           Add controls to set the clipping values
3714e6903 2022-12-23 Hy Murveit           fix test_ekos_scheduler_ops and make it stable
1b16c737b 2022-12-23 Wolfgang Reissenberger Placeholder setting target from scheduler
7594783db 2022-12-22 John Evans           Focus timer bug version 2
79e8f5b25 2022-12-17 Wolfgang Reissenberger Bugfix for target in file name
83db5e001 2022-12-14 Wolfgang Reissenberger Debug message for missing options key removed
f7fc99b99 2022-12-11 Jurgen Doreleijers   Fixing bugs 1 thru 3 mentioned in issue 173.
c8b36baba 2022-12-11 Salman Naheed        Add commands for file settings
67e2801ee 2022-12-10 Jurgen Doreleijers   Simple calculators for angle
7fb401349 2022-12-08 Hy Murveit           Add mount altitude constraint to scheduler altitude check
459e91fea 2022-12-09 Hy Murveit           Fix analyze cursor bug, add cursor to the timeline too.
4be1d63c9 2022-12-08 Hy Murveit           Add y-zoom to analyze stats plot, and allow user to hide Analyze displays.
6d7935cd5 2022-12-08 Hy Murveit           disable 2 flakey tests, test_placeholderpath and test_ekos_capture_count
3f20b2a18 2022-12-02 Josep M. Ferrer      Small typo
0b901fb69 2022-12-02 Yuri Chornoivan      Remove leftover
8866a3d91 2022-12-02 Jasem Mutlaq         More fixes for placeholder. Separate suffix from format
45926fc9f 2022-12-02 Yuri Chornoivan      Remove extra word
e5325d060 2022-12-02 Josep M. Ferrer      Small typo
2e7fb6e00 2022-12-02 Jasem Mutlaq         Preliminary fixes for placeholder changes. Separate base pictures directory from placeholder format
c0c1ecc01 2022-12-02 Jasem Mutlaq         Minor GUI improvements
8a9e9d23c 2022-12-01 Wolfgang Reissenberger Optical trains editor reworked
faa1afec4 2022-12-01 Ed Lee               filename Placeholders
460dbab54 2022-12-01 Jasem Mutlaq         Kicking off KStars v3.6.3 development cycle
83ac93731 2022-11-30 Jasem Mutlaq         Add extra check for crash
7ced69219 2022-11-30 Jasem Mutlaq         KStars stable 3.6.2 release


3.6.2 (Artemis):

c23d787e1 2022-11-29 Jasem Mutlaq         Fix issue with opening and closing covers manually for Light, Flat, and Dark frames. It was not asking user to cover the scope on darks and was not ..
bbbe27b65 2022-11-29 Jasem Mutlaq         Fix setAllSettings not saving to KStars options file
be1177c7d 2022-11-28 Jasem Mutlaq         Avoid using driver manager to access client manager since it can suffer from a dangling pointer. DriverManager should be migrated to shared pointers..
bc950a716 2022-11-24 John Evans           Adding back a missed change
05fd8fa74 2022-11-24 John Evans           rebasing some files
18da11511 2022-11-24 John Evans           Added extra logging to focus motion for debug purposes
2d4a67d45 2022-11-22 Hy Murveit           Don't dark guide when dithering. Reduce dithering lost-star threshold.
ee7fc577f 2022-11-22 Hy Murveit           Dark Guiding tweaks
27fdc2614 2022-11-22 Jasem Mutlaq         INDI driver sync
1f6e980a5 2022-11-21 Jasem Mutlaq         Fix target name connection and connect ekoslive after scheduler is initialized
13cd3d36b 2022-11-21 Jasem Mutlaq         If slewing to empty sky we should update target name accordingly to avoid confusion that we are still on the last target
bd1c6281f 2022-11-21 Jasem Mutlaq         Fine tune star rBest value to give more chance to select deep sky object within the vicinity
fc671fe62 2022-11-21 Jurgen Doreleijers   Fixing accounting problems for dso's.
eaca38e27 2022-11-20 Jasem Mutlaq         Add missing ACTIVE_FOCUSER check for ACTIVE_DEVICES
f9748439a 2022-11-20 Jasem Mutlaq         Add more logging for target coords so it is easier to diagnose issues
c529eb057 2022-11-20 Jasem Mutlaq         Add test case for deltaAngle
79dd22abd 2022-11-20 Wolfgang Reissenberger But fix for re-alignment and meridian flip
e2ea8e74b 2022-11-19 Hy Murveit           Fix bug in dither offset check
38005c58c 2022-11-20 Jasem Mutlaq         Fix warnings and add more statement to watch for target position angle changes
5960a4b57 2022-11-18 Jasem Mutlaq         Use updateCoordsNow to avoid warnings
77465dcd6 2022-11-18 Jasem Mutlaq         Fix issue where center and track does not place an object exactly at the center but to an offset
14d392c89 2022-11-18 Jasem Mutlaq         Fix text cut off in the wizard
87df459ad 2022-11-17 Jasem Mutlaq         Do not static i18n. This should fix the language switch issue in KStars
ab06d00fb 2022-11-17 Jasem Mutlaq         Fix kxi18n reference not found warning in the logs. Thanks Albert
47d5b1212 2022-11-17 Jasem Mutlaq         Disable FETCH_TRANSLATIONS since po is now already included in the repo
9cf165b98 2022-11-15 Jasem Mutlaq         Update maximum focal length to 900
91cbdc787 2022-11-14 Jasem Mutlaq         If stream is disabled, do not process stream blobs
527326818 2022-11-13 Wolfgang Reissenberger Scheduler warning for missing dome
412e1ad4a 2022-11-13 Jasem Mutlaq         Revert "Use shared_ptr from INDI since this is a major improvement to exchanging raw pointers of devices that might be deleted leading to crashes. T..
85ed6aa90 2022-11-13 Jasem Mutlaq         Use shared_ptr from INDI since this is a major improvement to exchanging raw pointers of devices that might be deleted leading to crashes. This requ..
4f713ce04 2022-11-13 Jasem Mutlaq         Generic invoke, property set and get
01ea79f81 2022-11-12 Wolfgang Reissenberger Refactoring capture meridian flip state handling
9e5470ab5 2022-11-10 Jasem Mutlaq         Add generic method invoke call with optional arguments
735d8711d 2022-11-10 Jasem Mutlaq         Use KSMessageBox to manual observatory startup and shutdown
17503e83f 2022-11-10 Jasem Mutlaq         Send text directly
fdbe8f6f6 2022-11-10 Hy Murveit           remove exclamation marks
95eeb487a 2022-11-10 Hy Murveit           add warning when specified filter is not in the filter wheel definition
b27d84e5b 2022-11-10 Jasem Mutlaq         Fix enable mount limits due to meridian flip signal confusion. Fixes #230
b5caf284c 2022-11-09 Jasem Mutlaq         Add camera read-only gain and offset values if available
f62413989 2022-11-09 Jasem Mutlaq         Train editor should be disabled until we have trains to edit
aa8d30614 2022-11-08 Jasem Mutlaq         Give clear indication which devices are exactly missing from optical trains
b588449b0 2022-11-08 Jasem Mutlaq         Avoid refreshing optical manager too many times if no new devices are detected
8a51cbc4a 2022-11-08 Jasem Mutlaq         Only set optical train profile when all drivers are running
04d97cd76 2022-11-07 Wolfgang Reissenberger Scheduler job handling during job startup
9326dff7c 2022-11-07 Jasem Mutlaq         Since edit strategy is on field change, no need to explicitly reload model from database after update
dff6dd8d1 2022-11-06 Hy Murveit           Fix issue where scheduler stopped when align was retrying.
71c429fb4 2022-11-06 Hy Murveit           Add healpix solver speedup to scheduler pointing check
8cf39818e 2022-11-05 Jasem Mutlaq         When removing profile and trains, make sure the database is cleaned from related settings as well
da18bed5c 2022-11-04 Jasem Mutlaq         Fix FlagManager RA box to show hours instead of degrees.
c167a35fc 2022-11-03 John Evans           Focus Motion Timer bug fix
16c044c29 2022-11-02 Jasem Mutlaq         Separate key from property name since later might be altered to support kcfg_ prefixes
571ead8c4 2022-11-02 Jasem Mutlaq         Restore polyfills since they are required and used
d116db10e 2022-11-02 Jasem Mutlaq         Add a function to save global settings programatically
c2016e5bb 2022-10-31 Hy Murveit           Disable large deviation backoff from multistar.
615132f34 2022-10-31 Jasem Mutlaq         Fix a few edge cases where a lone camera does not auto-connect even when that is enabled due to conflicts with optical train manager
1ec0c2f12 2022-10-30 Jasem Mutlaq         Use focus motion GUI to fetch value and return after timeout
32e9ab7b7 2022-10-30 Jasem Mutlaq         Add train, reducer, and ratio to database since they affect the effective FOV
80ea2a68d 2022-10-30 Jasem Mutlaq         Add .fz to compressed focus images.
20fd759e0 2022-10-30 Jasem Mutlaq         Change camera selection to camera 1 and 2 since it makes more sense to specify those with optical trains
af3508278 2022-10-30 Jasem Mutlaq         Respect delay parameter when framing
14ca531f3 2022-10-29 Hy Murveit           Remove scheduler sort-jobs-by-altitude option.
15fd46284 2022-10-28 Hy Murveit           Remove inaccurate tooltip
a4661a7cf 2022-10-28 Jasem Mutlaq         Fix filter manager not getting updated when filter wheel device is switched
950738aee 2022-10-28 Jasem Mutlaq         Remove obsolete filterAlias
516a453c7 2022-10-27 Hy Murveit           fitsURL was being (incorrectly) remembered across jobs.
af517e6a2 2022-10-27 Jasem Mutlaq         Use QFile::exists to check file path
300a741eb 2022-10-25 Hy Murveit           fix bug in aligning with fits file
b9d0e04a3 2022-10-24 Wolfgang Reissenberger Bug fix for target recognition after finished slew
2e4b04d56 2022-10-24 Jasem Mutlaq         Add protections against crashes in mount module
c9b1caa31 2022-10-24 Jasem Mutlaq         Fix CSV parsing issue with telescopeius
b1e7ddade 2022-10-24 Jasem Mutlaq         Fix issue when equipment profile is started with different device from those stored in the optical train. If such a condition is detected, we must a..
a7c7952f0 2022-10-24 Jasem Mutlaq         Sync scope info when mount is set again
121e6fff3 2022-10-24 Jasem Mutlaq         Fix bug when searching for deep sky catalog objects as it was using rBest even when oBest was nullptr. It should always use maxrad as starting point
e87a015d7 2022-10-20 Jasem Mutlaq         Telescopius mosaic import ready for testing
c20b7182f 2022-10-19 Jasem Mutlaq         Initial work for mosaic import backend
215171005 2022-10-22 Wolfgang Reissenberger Invalid value used if no filter name is set instead of -1
ab1918351 2022-10-21 Yuri Chornoivan      Fix minor typos
22221736c 2022-10-20 John Evans           Control to allow autofocus backlash compensation to be toggled on or off
c3bebc9ec 2022-10-19 Jasem Mutlaq         Fix crash in focus module from using timer based temperature check. Since defaultFocusTemperatureSource is *already* connected to checkTemperatureSo..
0e0537e44 2022-10-19 Jasem Mutlaq         Disconnect ready timer when device is disconnected
af0b2db8b 2022-10-19 Jasem Mutlaq         Prevent crash by checking weather source
8fff5e72d 2022-10-19 Jasem Mutlaq         Try to remove managed drivers differently
2a7107adc 2022-10-19 Jasem Mutlaq         Fix an issue where some late driver interface updates does not generate proper signals to update Ekos of the new arrived device. This particullary f..
84461b88b 2022-10-18 Jasem Mutlaq         Fix crash when camera is not initialized
d368ebcfc 2022-10-19 Wolfgang Reissenberger Scheduler error handling for starting astrometry
51b2eb16a 2022-10-17 Jasem Mutlaq         Add support for mosaic import from Telescopius
e1bafbfa3 2022-10-17 Jasem Mutlaq         Use correct header
0b364d791 2022-10-16 Jasem Mutlaq         Fix rotation in align. Fix PA in scheduler
8bac0ef83 2022-10-15 Jasem Mutlaq         Fix crash when saving a scheduler job with mixed mosaic and non-mosaic jobs
486b6bf50 2022-10-15 Jasem Mutlaq         Add missing telescopeInfo DBus call
573bfb975 2022-10-15 Jasem Mutlaq         Do not disconnect property registration timer to allow late properties to trigger an update once they arrive
87317b637 2022-10-15 Jasem Mutlaq         Fix issue with saving INDI hosts port. Fix connection to INDI server not generating a failure message upon connection refused.
bfc16d5be 2022-10-12 Wolfgang Reissenberger Bug fix for test case execution
14def4e57 2022-10-12 Jasem Mutlaq         Respect max travel as set by the focuser.
19964daf8 2022-10-12 Wolfgang Reissenberger State machine controls meridian flip for Mount
db2b9deb8 2022-10-08 Marius P             kstars remove "#if QT_VERSION >= QT_VERSION_CHECK("
981abf80b 2022-10-10 Albert Astals Cid    Import info_url.dat from svn
1ee190d84 2022-10-10 Jasem Mutlaq         Do not process INDI timeout if auto connect is false
4a9c6f8a0 2022-10-08 Jasem Mutlaq         Fix issue where deleting scopes from database was not working due to string and number mismatch
68c5ba243 2022-10-08 Jasem Mutlaq         Fix issue where mount is not ready and therefore controls are not updated correctly as reported by some users. Now we check if mount becomes ready t..
8107632cc 2022-10-08 Jasem Mutlaq         Fix radio button not updating train options properly by using toggled instead of clicked signals.
8ee5174ed 2022-10-06 Jasem Mutlaq         Process message at UTF-8
524b27f57 2022-09-27 Hy Murveit           Enforce start-capture guide deviation
c604479bf 2022-10-02 Marius P             Minimum Qt version is 5.12.7, remove #if checks for older Qt versions
3e365444e 2022-10-05 Jasem Mutlaq         Fix crash in dark library need to check if camera was initilized properly
d91aecc91 2022-10-03 Marius P             CMakeLists.txt cmake_minimum_required should be first
6baa2cca8 2022-10-05 Albert Astals Cid    remove fr kstars doc for now since it doesn't compile with KF 5.68
e216e16c4 2022-10-04 Jasem Mutlaq         Fix filter manager not refreshing correctly
988c10f19 2022-10-04 Jasem Mutlaq         Fix several crashes across modules when mount is not specified in the profile
d39e3f3e9 2022-10-03 Jasem Mutlaq         Fix crash when switching to a train that does not have filter wheel in focus module
53bb406e4 2022-10-02 Jasem Mutlaq         Convert astrometry scale in scheduler to the correct units required for SolverUtils
9aae140ef 2022-10-02 Jasem Mutlaq         Fix filter focus issue by using global filter managers per device instead of a unique instance for each module
3f648d38c 2022-10-02 Jasem Mutlaq         Starting KStars v3.6.2 development cycle.
072890a34 2022-10-01 Jasem Mutlaq         Check focuser for connection status as well
9b01432c6 2022-10-01 Jasem Mutlaq         More complete management of module status in compliance with device connection status
a6a2657b4 2022-10-01 Jasem Mutlaq         Enable and disable part of modules according to availability of devices
ce83876d0 2022-10-01 Jasem Mutlaq         Quick fix for ability to establish modules while not all devices are connected.
5378eb568 2022-09-30 Jasem Mutlaq         Remove debug statements
a18b2ae1b 2022-09-30 Jasem Mutlaq         Fix crash due to infinite cyclic calls when filter manager is updated.
8494f0586 2022-09-30 Jasem Mutlaq         Fix order of parameters
a87f66590 2022-09-30 Hy Murveit           remove the swapCheck checkbox
42d4cf5c1 2022-09-30 Paolo Stivanin       Lower QT_MIN_VERSION to 5.12.7
9901e1a4a 2022-09-29 Jasem Mutlaq         Do not declare connection failure while port selector is up

3.6.1 (ChoCho):

4cfb967be 2022-09-29 Jasem Mutlaq         INDI driver sync
f88169d38 2022-09-29 Jasem Mutlaq         Warn users if one or more devices fail to connect
b2a51cd00 2022-09-28 Jasem Mutlaq         Fix issue where settingUpdated only emits the delta settings and not all settings
77c4b156d 2022-09-28 Hy Murveit           Make guider target plot square and visible from the start
b52ec1edb 2022-09-28 Hy Murveit           Do not draw star circles when printing HFRs
5dee4c5bc 2022-09-27 Jasem Mutlaq         Fix issue for simple devices where readyTimer is not started since there are no more properties to define after connect
ae604534e 2022-09-27 Hy Murveit           adjust guider logging
3c107c0c1 2022-09-27 Hy Murveit           bugfix: Analyze meridian flip session was not being rendered
218d763ba 2022-09-26 Wolfgang Reissenberger Bug fix: correct widget names so that they match their option key
add3d0f84 2022-09-25 Hy Murveit           Bugfix: correct rendering of artificial horizon in equatorial mode
b69eb9bb5 2022-09-25 Jasem Mutlaq         Fix issue when modules are marked ready when they are not fully ready
11c776ef3 2022-09-24 Hy Murveit           Prevent guider from selecting very narrow guidestar
6a39b3fe2 2022-09-24 Wolfgang Reissenberger Handling attempts sending an RPC call if no connection established
dd2f11f33 2022-09-24 Hy Murveit           Call checkCamera before loading a sequenceQueue in case UI has not yet been updated.
dde5b6be7 2022-09-23 Hy Murveit           bugfix, numPixels field was not being added to detected stars
47ee6d41b 2022-09-23 Jasem Mutlaq         Get driver interface and connection from basedevice upon setting it up for first time. This fixes an issue when connecting to a remote INDI server w..
09cf99f3f 2022-09-23 Jasem Mutlaq         Fix a bug where filter list sometimes does not get updated since we do not keep refreshing the filter properties which may come at a later stage
0e6ee00f3 2022-09-22 Jasem Mutlaq         Prevent accidental setting of frame type to negative if case current index is below zero
d7a0dabdd 2022-09-21 Wolfgang Reissenberger Bugfix for restarting a paused capture sequence after a meridian flip
3a7edde82 2022-09-21 Jasem Mutlaq         Update Satellite sources URLs
fb3cca5ee 2022-09-20 Jasem Mutlaq         Revert to Linear 1 Pass algorithm with more sane defaults to prevent huge initial movement
031ca2581 2022-09-20 Jasem Mutlaq         Add barlow to reducer and increase range to 3x as proposed by Sophie
608ab8b0b 2022-09-19 Jasem Mutlaq         Separate dust cap and light interfaces to their own defined schemas
b0cd3fca3 2022-09-19 Jasem Mutlaq         Only emit newDevice once the concrete device is established, not generic
44e35b775 2022-09-19 Jasem Mutlaq         Revert to polynomial algorithm as default as it appears to be more reliable if not as accurate
96c912776 2022-09-19 Jasem Mutlaq         Check existing device is not null before comparing with incoming device
ad25136cf 2022-09-19 Jasem Mutlaq         When setting same device again, run integrity check
ed9f55536 2022-09-19 Jasem Mutlaq         Use consistent function names across interfaces. Fix scheduler connections
f61e9d785 2022-09-18 Jasem Mutlaq         Fix filter manager reset. Fix light box and caps not properly initialized
19f32f7b2 2022-09-18 Jasem Mutlaq         Fix several issues with INDI devices syncing with scheduler
ef24bbd8f 2022-09-18 Jasem Mutlaq         Add missing TRAIN_GET_PROFILES command
328fff709 2022-09-18 Jasem Mutlaq         Fix default config value and remove obsolete option
fa189393c 2022-09-18 Jasem Mutlaq         Simplify code
00727bfdb 2022-09-17 Jasem Mutlaq         More options migration fixes
303285941 2022-09-17 Jasem Mutlaq         Fix minor option issues, always use GUI directly if accessible
25b556034 2022-09-17 Jasem Mutlaq         For GUI elements no need to call Options use the current value as is
a66626269 2022-09-17 Wolfgang Reissenberger State machines for meridian flip and Capture
cb7390038 2022-09-17 Jasem Mutlaq         Fix some options not getting properly saved to global settings
a895dba46 2022-09-17 Hy Murveit           fix windows compile array->pair
a65413da6 2022-09-16 Jasem Mutlaq         Emit trainChanged signal when the train selection is updated
92308f78d 2022-09-16 Jasem Mutlaq         When loading existing FITS Data also emit loaded or failed accordingly
b5b447baa 2022-09-16 Sophie Taylor        Dark guiding for the GPG guider
c66ab8c04 2022-09-15 Jasem Mutlaq         Fix typo
926488df2 2022-09-15 Jasem Mutlaq         Add toggle autopark command
f8565b9cc 2022-09-15 Jasem Mutlaq         Add missing dark library optical train getter and setter
6daed1103 2022-09-15 Jasem Mutlaq         Restore get defect settings since we need to send back few settings not transmitted in the generic method
05ad8a7a0 2022-09-15 Yuri Chornoivan      Fix minor typo
a2b383e45 2022-09-14 Jasem Mutlaq         Dark library should use per-train settings
b225418af 2022-09-14 Jasem Mutlaq         Implement Polar Alignment per-train settings
d32cbb346 2022-09-14 Jasem Mutlaq         Store radio buttons in train settings
8a84b48df 2022-09-14 Jasem Mutlaq         Connect newData to updateSensorData
1a8d3d1b7 2022-09-14 Jasem Mutlaq         Use camera temperature when initially setting up ranges
425741fd8 2022-09-14 Jasem Mutlaq         Fix renaming of optical trains. Use ID to designate profile trains instead of name
0e810a03c 2022-09-13 Jasem Mutlaq         Need to send new train on update
627e08d50 2022-09-13 Jasem Mutlaq         Fix EkosLive and optical train manager order
6da7f5eae 2022-09-13 Jasem Mutlaq         Only show optical manager *after* connection is established and not before
bc7a3dbb1 2022-09-11 Hy Murveit           fix analyze/focus bug
6447c61ee 2022-09-11 Hy Murveit           Make TestEkosSimulator unstable
3cfa10454 2022-09-11 Jasem Mutlaq         Do not call refreshTrains on dataChanged since that affect how DB is updated. Use ID when setting train
88924a1ff 2022-09-10 Jasem Mutlaq         Update scheduler to use INDI devices from DBus interface
2ec6f0652 2022-09-10 Jasem Mutlaq         Enable and disable train combo selection based on module state
ebdde43a8 2022-09-10 Jasem Mutlaq         Fix device driver manual start by waiting more on client connection.
b3b6f9f14 2022-09-10 Jasem Mutlaq         Enable a couple of tests back into stable
888540276 2022-09-09 Jasem Mutlaq         Do not set options since these now are handled by global and per-train settings
ffe13b704 2022-09-09 Jasem Mutlaq         Implement per-train and global settings in mount.
1cd712023 2022-09-09 Jasem Mutlaq         No one is checking unstable tests. Better validate they work and are stable.
8f7b80f11 2022-09-09 Jasem Mutlaq         Disable appimage build since it takes a long time to complete
2d90e9d21 2022-09-08 Hy Murveit           PAA: use the index and healpix of the 3rd PAA calibration image at the start of the refresh phase.
9c88d8e59 2022-09-08 Hy Murveit           Fix SolverUtils bug, scale was assuming arcseconds-per-pixel but using image-width
aa58d3d10 2022-09-08 Wolfgang Reissenberger Meridian flip delay in degrees and some layout optimizations
f32a48674 2022-09-08 Jasem Mutlaq         do not use oag
95d39deb2 2022-09-08 Jasem Mutlaq         Fix filter manager setup
a060df2d9 2022-09-08 Jasem Mutlaq         Fix GUI refactor
f779ec202 2022-09-07 Hy Murveit           Fix bug where deprecated XML caused extra sequence jobs
667395910 2022-09-08 Jasem Mutlaq         Global and per-train guide settings
b063a8801 2022-09-07 Salman Naheed        Feature/add dslr editor
9e6b1ed7c 2022-09-07 Jasem Mutlaq         Move align to new settings system
734d73ce7 2022-09-07 Jasem Mutlaq         Set active job filter manager upon executing a job
125214462 2022-09-07 Jasem Mutlaq         Refactor Filter Manager so that it is no longer a singleton but rather an instance used in several modules. This is required with optical trains tha..
c5385f624 2022-09-06 Jasem Mutlaq         Update to new default values and check settings validity
15a051218 2022-09-06 Jasem Mutlaq         Implement improved settings system where global settings and per-train settings are saved. Using KConfigSkeleton properties, we can easily load and ..
50c805216 2022-09-06 Jasem Mutlaq         Fix spacing
1c96fc03c 2022-09-06 Jasem Mutlaq         When camera is not available, disable relevant controls
1a0ae11d4 2022-09-06 Jasem Mutlaq         Make sure ID is valid before setting optical train ID
d846993ba 2022-09-05 Jasem Mutlaq         Watch out if m_FilterPositionProperty is undefined as well
a744736f9 2022-09-05 Jasem Mutlaq         For dust caps since the interface is defined later we need to re-sync devices
b8b0ef18a 2022-09-05 Jasem Mutlaq         Save settings per train. Starting in focus module to test grounds
0c72a3bc0 2022-09-05 Wolfgang Reissenberger Option added to use dedicated guiding chips with optical trains
c1b8df2aa 2022-09-04 Jasem Mutlaq         Fix refactor issue
8155175ab 2022-09-04 Jasem Mutlaq         Default default meridian flip offset
85e378ded 2022-09-03 Wolfgang Reissenberger Adapting UI tests to new optical trains
04d1f76a1 2022-09-01 Jasem Mutlaq         Merge branch 'observatory_work'
7bcd12c8b 2022-09-01 Jasem Mutlaq         Add notification source
5e814ddb0 2022-08-31 Jasem Mutlaq         Re-enable observatory module
ce7d0b277 2022-08-25 Jasem Mutlaq         Update asteroid and comet orbital elements
1003dbdf7 2022-08-30 Jasem Mutlaq         Use click instead of activated to enable removal on non KDE systems
7f04d5ead 2022-08-30 Jasem Mutlaq         Always emit updated signal when setting the profile
b87c90cc4 2022-08-29 Yuri Chornoivan      Fix minor typo
979049c2d 2022-08-28 Jasem Mutlaq         Add support for DSLR lenses. User can select either scope or lens in equipment...
d7d561fbd 2022-08-28 Wolfgang Reissenberger Rotator preparation check fixed
1528c497a 2022-08-27 Wolfgang Reissenberger Bugfix for initialisation of rotator device (and others)
5ac1ab1dd 2022-08-27 Wolfgang Reissenberger No separate JPLParser creation for check of epoch_mjd, since this causes crashes
af6c130c4 2022-08-27 Jasem Mutlaq         Use native compress in cfitsio
dc2c53d20 2022-08-26 Jasem Mutlaq         Disable use of asyncmanager in find dialog filtering due to reported crashes
4036f6c76 2022-08-26 Jasem Mutlaq         Fix format changes in NASA asteroid file
8aaea06fb 2022-08-25 alfred herrhausen    Summary Screen layout improvements, Total RMS added
f4be22a05 2022-08-25 Wolfgang Reissenberger Always check initial guiding deviation before capturing
48f9fe591 2022-08-25 Hy Murveit           Bugfix--scheduler was ignoring artificial horizon ceiling constraints
541765728 2022-08-24 Jasem Mutlaq         Local driver source should be used last since we need to prefer system source
ea5f58855 2022-08-24 Salman Naheed        Update Guide / Align Settings
17ab5c3bd 2022-08-23 Hy Murveit           fix tooltip
9963c8f62 2022-08-24 Hy Murveit           Combine sampled polygons into large polygon for artificial horizon regions
2ffd9258a 2022-08-22 Hy Murveit           Reduce the resolution in drawing artificial horizon to 1 degree
947104587 2022-08-12 Marius P             guidealgorithms use C++ initialization instead of memset
9e81b9404 2022-08-21 Sophie Taylor        Fix receiving compressed images from devices
d83031e37 2022-08-21 Hy Murveit           Adjust UI for guide tab. New info line display for internal guider.
3cc4a01b5 2022-08-21 Salman Naheed        Update PAA
ed12bfba6 2022-08-20 Sophie Taylor        Fix CI test result upload
c41323965 2022-08-20 Robert Lancaster     Attempting to patch Find Dialog Crash Bug on MacOS
c1cad331e 2022-08-19 Sophie Taylor        Compress master dark frames
538d8ecd8 2022-08-19 Sophie Taylor        Proper support for loading compressed image statistics
7530af279 2022-08-19 Jasem Mutlaq         SVBony alias sync
21f5c0bff 2022-08-18 Toni Schriber        Fix position angle and rotator raw angle calculations part II
32f651315 2022-08-18 Jasem Mutlaq         No need for separate concrete device
d8fb436ca 2022-08-18 Jasem Mutlaq         Merge branch 'scheduler_work'
1ec7b3e55 2022-08-18 Jasem Mutlaq         More progress, but I think dustcap control need to be removed from scheduler. Observatory module should handle dome and weather devices and should r..
14ca0d79b 2022-08-18 Jasem Mutlaq         Simplify target set
6921c54ef 2022-08-17 Jasem Mutlaq         Initial work for using device interfaces
1548ac61a 2022-08-17 Wolfgang Reissenberger Problem with guide calibration after meridian flip
644c71c83 2022-08-17 Sophie Taylor        Compress saved autofocus and guide images
600a01f25 2022-08-15 Jasem Mutlaq         Ensure we only create concrete devices if they do not exist yet
aa4061c9a 2022-08-15 Jasem Mutlaq         Simply connections and simple refactor
afb7edcc1 2022-08-15 Jasem Mutlaq         Use current index to watch for changes in the combo box
7fbd5614f 2022-08-14 Jasem Mutlaq         Should process text for DRIVER_INFO since some drivers delay their driver interface updates until a later point
ada862609 2022-08-14 Jasem Mutlaq         No need to cast
88d187f9f 2022-08-14 Jasem Mutlaq         Fix FOV calculation due to binning
2b72f6866 2022-08-13 Hy Murveit           Fix analyze stats update for target distance
c50b87496 2022-08-13 Jasem Mutlaq         Use QtConcurrent for the actual computations for each planet and not for the overall functions enabling or disabling GUI elements from a thread migh..
e53744a0e 2022-08-13 Yuri Chornoivan      Fix minor typo
4591643b4 2022-08-12 Hy Murveit           Analyze target distance should be plotted as a property of the last capture.
7a106fa8f 2022-08-12 Hy Murveit           Allow user to increase number of SEP MultiStar reference stars, invent SNR for invented guidestars
405f2b2f8 2022-08-11 Jasem Mutlaq         Set propotional gains in Options once synced
d09c95855 2022-08-11 Jasem Mutlaq         Fix telescope open/cover not getting called correctly in manual mode
689323dee 2022-08-11 l10n daemon script   GIT_SILENT made messages (after extraction)
525f2f9ee 2022-08-10 Jasem Mutlaq         Must retain a copy of data in the chip
419c70156 2022-08-07 Hy Murveit           Update mount parking controls
4ad462abf 2022-08-06 Jasem Mutlaq         Detect park status in both register and process stages
c92154574 2022-08-06 Jasem Mutlaq         Improve reliabilty of connecting devices in modules
63b2050e4 2022-08-05 Jasem Mutlaq         Remove Dustcap, Weather, and Dome modules since we should not create modules or interfaces for individual devices. Fix dust and light box settings s..
dcf015c79 2022-08-05 Jasem Mutlaq         Fix device sync by calling on relevant generic device as iteration is not necessary
f065348b6 2022-08-04 Jasem Mutlaq         Fix various issues with INDI refactor. Fixes #204
67b23ff53 2022-08-03 Jasem Mutlaq         Only abort capture process on guide failure if we are capturing light frames
b98aa5cd1 2022-08-02 Hy Murveit           fix comment
ecc32506f 2022-08-02 Hy Murveit           fix align solver disconnect crash, disable ssolver logging
81092b913 2022-08-01 Jasem Mutlaq         Fix rotator and dust cap by using register property to load initial values
1ab23e657 2022-08-01 Jasem Mutlaq         Always start modules before adding devices to avoid missing them later
6a60e821a 2022-07-31 Jasem Mutlaq         INDI Devices Handling Refactor
6fb94d350 2022-07-31 Jasem Mutlaq         Remove 3rd party driver added by mistake
c633499b6 2022-07-30 Jasem Mutlaq         3.6.1 beta. Bump Qt min to 5.12.8 and KF5 to 5.68 and cmake to 3.16 and C++ standard to 17

3.6.0 (Contact):

5764593a0 2022-07-28 Yuri Chornoivan      Fix minor typo: Conver -> Cover
812db5041 2022-07-28 Yuri Chornoivan      Fix minor typos
25acbb39e 2022-07-27 Jasem Mutlaq         Add profile scripts editor section and mosaic planner section
1cdfd279b 2022-07-27 Jasem Mutlaq         Check web manager version
3cd8bcb6a 2022-07-26 Hy Murveit           Improve tooltip for greedy algorithm
10e2ae66d 2022-07-26 Jasem Mutlaq         Add extra check for imageData
922b8d538 2022-07-25 Yuri Chornoivan      Fix minor typos
e818dfd3a 2022-07-25 Sophie Taylor        Use reference type to avoid copying in analyze.cpp
f32a8abaa 2022-07-25 Sophie Taylor        Improve tooltips for GPG expert settings
c1bf845d2 2022-07-25 Wolfgang Reissenberger Bugfix capturing does not continue after a meridian flip
e34a73104 2022-07-25 Sophie Taylor        Correct nomenclature for Linear1 focus algorithm with "R2" -> "R²", and add a default and minimum value for R² limit
05d35802c 2022-07-24 Yuri Chornoivan      Fix minor glitches
3b2f187b4 2022-07-24 John Evans           Focus update to Kstars User Manual
4f17f38ae 2022-07-23 Jasem Mutlaq         Use PA instead of rotation to be consistent with rest of KStars notations
072640687 2022-07-22 Yuri Chornoivan      Fix minor typos
8d1f894fa 2022-07-22 Yuri Chornoivan      Fix links in docs
8b1833fc1 2022-07-22 John Evans           Update focus section of user manual including Linear 1 Pass
4fb60642f 2022-07-20 Akarsh Simha         For some strange reason, changing this include order fixes my compile
68f5eb38a 2022-07-18 Akarsh Simha         Fix compile on old compilers
8cd7a0dfc 2022-07-17 Salman Naheed        Update Scheduler Module
4b69fb22d 2022-07-17 Jasem Mutlaq         Fix crash when sending scripts to remote INDI Web Manager
043570675 2022-07-17 Jasem Mutlaq         Add reverse logging
8fe9d9d17 2022-07-17 Hy Murveit           add regexp for comets in FindDialog
8d5206617 2022-07-17 Jasem Mutlaq         Add more logging when rotator stops moving
0ef8382d4 2022-07-15 Jasem Mutlaq         WCS not related at all to toggling selection mode
90a77b64b 2022-07-15 Jasem Mutlaq         Fix issue where some modules might not have updated camera controls value like gain and offset
a2549a72c 2022-07-14 Jasem Mutlaq         Add reverse rotator in the GUI
4bf37d271 2022-07-14 Jasem Mutlaq         Add more check for current rotator PA
21bd6bd90 2022-07-14 Jasem Mutlaq         Remove rouge character
100ef8747 2022-07-14 Jasem Mutlaq         Add helper function to limit PA range. Fix target angle when going to specific position angle
80206d718 2022-07-12 Hy Murveit           Add checkbox (defaulting to false) that enables partitioning in StellarSolver...
6eab46a64 2022-07-11 Madhav  Prabhu       Added documentation for measure fits background, some bug fixes, merge conflicts
5a2ba9f8e 2022-07-11 Akarsh Simha         A number of changes to make the PGC experience smooth (+ a couple bugfixes)
7b8bb9f9f 2022-07-11 Hy Murveit           Improve testfitsdata::testParallelSolvers test.
15f3ae122 2022-07-09 Jasem Mutlaq         Remove last
85178f058 2022-07-09 Jasem Mutlaq         process BLOB managers removal at the main thread
874255301 2022-07-09 Jasem Mutlaq         Fix position angle and rotator raw angle calculations
77aa41ad6 2022-07-07 John Evans           L1P Bug Fixes 1
adbae37b6 2022-07-06 Jasem Mutlaq         Use Q_FUNC_INFO with generic qDebug to including function info until they are migrated to qCDebug
6d60a7d02 2022-07-06 Jasem Mutlaq         Fix error where we cannot create children for a parent in a different thread
2a0626007 2022-07-06 Jasem Mutlaq         Add driver delay and script logging
1f9608158 2022-07-06 Jasem Mutlaq         Remove invalid connect
55a1925fd 2022-07-05 Jasem Mutlaq         Send back guide settings after setting them
9a17d54e9 2022-07-05 Jasem Mutlaq         Add support for GOTO from pixel coordinates
8495c7c4d 2022-07-05 Jasem Mutlaq         Refactor roi --> ROI and fix a few warnings
f1e2d67c5 2022-07-05 Jasem Mutlaq         Fix untranslated strings and refactor roi --> ROI
1024c75e9 2022-07-05 Jasem Mutlaq         Improve Dark Flats visibility in job sequence and do not change filter unless frame is LIGHT or FLAT. Should probably add support for dark filter se..
3f36bb17d 2022-07-02 Jasem Mutlaq         Fix port conversion issue.
f60573464 2022-07-02 Jasem Mutlaq         Fix string to int comparision
77f16d707 2022-07-01 Madhav Prabhu        bug fixes for MR 621
bd7a8998d 2022-07-01 Jasem Mutlaq         Stop mount timers to prevent possible race crash on stopping devices
f44ef2bab 2022-07-01 Jasem Mutlaq         Double check the wcsControl exists
bc8009335 2022-07-01 Jasem Mutlaq         engine.h no longer available with latest KF5
57f3223e0 2022-07-01 Hy Murveit           fix focuser hanging bug
8cd464f6a 2022-07-01 Jasem Mutlaq         Save script after manually editing the field
2f81968e7 2022-06-30 Hy Murveit           improve SolverUtils timing
4c8e55f1c 2022-06-29 Hy Murveit           fix analyze report of polynomial focus solution
bc274ba20 2022-06-30 Jasem Mutlaq         Add support for profile scripts
febaf5828 2022-06-30 Hy Murveit           Save checkboxes on the scheduler tab
2411064da 2022-06-30 Jasem Mutlaq         Add mean and use symbols instead of text. Fix tooltip issues with WCS image
904f7a8c9 2022-06-30 Madhav  Prabhu       Measure FITSImage Background for a region of interest(Rectangle)
40f4e87f3 2022-06-29 Hy Murveit           reset guide rms calc in analyze after break
f47377435 2022-06-29 John Evans           DRAFT Fixed focus restart bug
2d4a6e1f2 2022-06-28 Jasem Mutlaq         Refactor variable for more consistent naming. Do not reset devcices if nothing changed
30bad87df 2022-06-28 Jasem Mutlaq         Add more checks for activeCCD to prevent possible crashes
5db980ef3 2022-06-27 Ed Lee               Geographic map update
00dfafd73 2022-06-27 Jasem Mutlaq         Remove all GUI notifications from FITSXXX classes and let the calling class deal with how to handle errors.
2fa0ec40a 2022-06-26 Jasem Mutlaq         Make checkFocus callable from DBus
db266b753 2022-06-24 Hy Murveit           bugfix--scheduler was not stopping when saving remotely
408f7863e 2022-06-24 Jasem Mutlaq         Fix asteroid JPL dataset by changing epoch.mjd to epoch_mjd and per.y to per_y as proposed by Thoman Sitbor in the INDI forum. It is confirmed to wo..
edf1a9019 2022-06-22 Jasem Mutlaq         Add more checks to ensure all INDI related signals are disconnected on shutdown
fc96812f5 2022-06-22 Hy Murveit           Fix SolverUtil memory issue, update testParallelSolvers, update testfitsdata to pass and enable it.
ff8ad3140 2022-06-21 Hy Murveit           Improve parallel solver test, correct SolverUtils issue
c6500d367 2022-06-21 Jasem Mutlaq         Check if activeCCD is still there on timeout
d3a74f73f 2022-06-20 Jasem Mutlaq         Remove PlaceholderText role as it does not compile on older Qt version
11846aa76 2022-06-20 Jasem Mutlaq         Send updated error to EkosLive
b6035d478 2022-06-20 Jasem Mutlaq         Ignore generated Options.kcfgc
ba4a326f4 2022-06-20 Jasem Mutlaq         Depending on KF5 version, enable support for generating properties for Options
f6b43f299 2022-06-19 Jasem Mutlaq         Add capability to set and get any option by using QProperty system
14be948e7 2022-06-19 Jasem Mutlaq         Make rotator settings more prominent
78bc28c10 2022-06-19 Jasem Mutlaq         Fix clang warnings
9f6400b5c 2022-06-19 Jasem Mutlaq         Set position angle initial value to -181 which means it is invalid by default and must be set explicitly by the user for it to have any affect on th..
b3fce7908 2022-06-18 Jasem Mutlaq         Ensure current rotator is connected as well
592308dfb 2022-06-18 Jasem Mutlaq         Check explicitly if the image is grayscale 8bit for single channel
c81a04c7c 2022-06-17 Jasem Mutlaq         Enable support for fast blob access with INDI v1.9.7
51dcfa391 2022-06-17 Jasem Mutlaq         Do not return after manual align, status must be updated correctly
b23bfcc4a 2022-06-17 Jasem Mutlaq         Must reset m_ImageData when we receive a buffer for load and slew
8a0ee517d 2022-06-17 Yuri Chornoivan      Fix minor typos
6f1909d91 2022-06-16 Jasem Mutlaq         Add EkosLive messages for manual rotator
4e45c9d32 2022-06-16 John Evans           Linear1Pass 1st attempt part 2
a95ec55a5 2022-06-15 Jasem Mutlaq         Searching for nearby objects while performing a telescope GOTO should NOT depend on zoom level since this a non-interactive action
6f6393ac7 2022-06-15 Jasem Mutlaq         Report more settings
25ebbd68f 2022-06-15 Jasem Mutlaq         Enable slider transparency depending on mosaic auto check
ab1a00198 2022-06-15 Jasem Mutlaq         Make sure slotAboutToQuit is not called twice
1d0616afc 2022-06-15 Jasem Mutlaq         Move dedicated rotation <--> position angle conversion functions to SolverUtil class. Block signals when setting values after fetching INDI informat..
613d37539 2022-06-15 Jasem Mutlaq         When KStars is closed down by clicking on the X button, config file was never saved so all uncached changes to settings were lost. This is not fixed..
e6e0cc1b8 2022-06-15 Jasem Mutlaq         Remove all instances of dmsBox setDegType and replace them with explicit setUnits
3322e439c 2022-06-15 Jasem Mutlaq         Popup the Ekos scheduler manager after creating jobs
e8786ed7c 2022-06-14 Jasem Mutlaq         Use while in case the results are larger than 360
5e68a975c 2022-06-14 Jasem Mutlaq         Use rotator should be on by default
eb25f3a72 2022-06-14 Jasem Mutlaq         Small fix to keep range with PA limits
bd2d42c08 2022-06-14 Jasem Mutlaq         Add ra0 and de0 to mount info packet
44c10ec54 2022-06-14 Jasem Mutlaq         Move limits to its own dialog box to give more space to capture GUI since it...
4a0725efc 2022-06-14 Salman Naheed        Update getSchedulerSettings
41ba058ca 2022-06-14 Jasem Mutlaq         Mount control panel should reflect reversed states of mount axis when updated directly via the INDI Control Panel
6ec7ed784 2022-06-13 Jasem Mutlaq         Ask user to change axis direction since this is the most likely culprit and not speed
f88ac4dff 2022-06-13 Jasem Mutlaq         Do not create framing assistant dialog if there is an existing instance
c111dea45 2022-06-13 Akarsh Simha         Various fixes and improvements related to DSO catalogs and visibility
0457a026c 2022-06-12 Jasem Mutlaq         Refactor member variable to be more descriptive. Get camera resolution before checking for ROI
7b1410fe1 2022-06-11 Jasem Mutlaq         Fix compile on Windows
b194adc01 2022-06-11 Salman Naheed        Scheduler Module
332c8b735 2022-06-10 Akarsh Simha         Further improvements to Add Catalog Object UI, including auto-filling data from text
63bc10769 2022-06-10 Akarsh Simha         Improve the manual focus dialog for the SkyMap
c7965d2e3 2022-06-10 Yuri Chornoivan      Fix minor typos
ceede41b5 2022-06-09 Hy Murveit           fix polar-alignment messages
87473ae1b 2022-06-09 Antoni Bella Pérez   l10n Improves: comments added for gender change
441a8bd5e 2022-06-09 Hy Murveit           Polar-alignment V3. Use plate solving during refresh phase. Update UI.
87986bde3 2022-06-08 Salman Naheed        Scheduler Module
406db34c9 2022-06-08 Hy Murveit           Show number of clipped pixels on fitsviewer status bar if show-clipping is enabled
531398e3b 2022-06-08 Ed Lee               Corrected comment formatting for C as opposed to C++
41220bfb4 2022-06-08 Hy Murveit           Analyze bugfix and complete unfinished scheduler job
ec5c439a0 2022-06-07 Jasem Mutlaq         For lightbox, we must check target state since for dark frame it must turned off and not kept on which results in infinite loop
ba2bc4f0e 2022-06-06 Jasem Mutlaq         Do not override user directory selection unless it is to append the target postfix
a541ab914 2022-06-06 Jasem Mutlaq         Fix crash on driver restart
4011db0a2 2022-05-24 Heiko Becker         Use Config mode for finding Eigen3
d63af8786 2022-06-06 Akarsh Simha         Refactor `DmsBox` widget and improve the Add Catalog Object form
de4dad5d3 2022-06-06 Ed Lee               Issue#103
809ee311d 2022-05-29 Érico Nogueira       Check for sicons() availability properly.
4418d810c 2022-05-29 Jasem Mutlaq         KStars v3.6.0 development cycle

3.5.8 (Arrakis):

907bc629b 2022-03-15 Jasem Mutlaq         Replace repeated message with just a label update
fead0a8d4 2022-03-15 Wolfgang Reissenberger Avoid in-sequence-counter countdown when already zero
b10c443f7 2022-03-14 Robert Lancaster     Forgot Prefix path for DriverSupport
0a552226f 2022-03-14 Jasem Mutlaq         Only emit newCoord when mount is connected
e02adcf48 2022-03-14 Wolfgang Reissenberger Bugfix initial guide deviation set blocks post MF calibration
6853eec35 2022-03-14 Jasem Mutlaq         If telescope device is not defined or connected, do not process coordinates
1640c7a2b 2022-03-13 Robert Lancaster     Moving KStars Mac INDI copy instructions to cmakelists
56cd0535f 2022-03-13 Jasem Mutlaq         Add an exact parameter to findByName so that catalog component can customize its search behavior globally
64b9ec0c3 2022-03-13 Akarsh Simha         Fix  CatalogsComponent::findByName() to find only 1 exact match
0e2a3ab07 2022-03-13 Akarsh Simha         Fixes and some improvements to the "Add catalog object" UI
e22bfc6ed 2022-03-11 Akarsh Simha         Fix truncation of observing list upon adding to it from popup menu
993692eaa 2022-03-13 Akarsh Simha         Make some usability improvements, especially in the Find Dialog
9245f9b75 2022-03-12 Hy Murveit           reduce log spam
e23a7ab8c 2022-03-12 Jasem Mutlaq         Various memory leaks. Still there is definitely memory leaks when performing...
dabeeec3d 2022-03-11 Jasem Mutlaq         Fix compile on 18.04
f34bcb7d9 2022-03-11 Jasem Mutlaq         Disable event-driven setScopeStatus from INDI::Telescope since it sets m_Status which prevents the polling method from working
5033fba01 2022-03-11 Jasem Mutlaq         Fix bug that caused PAA to fail if a driver send HORIZONTAL_COORD as well
836f47c89 2022-03-11 Jasem Mutlaq         Improve Look n Feel tab
23bb6cbfd 2022-03-10 Robert Lancaster     updating to StellarSolver 2.1
f184fd378 2022-03-09 Nicolas Fella        Don't find KAuth
96ed6a6d7 2022-03-10 Jasem Mutlaq         Fix compile on Windows
755c34e96 2022-03-09 Hy Murveit           Make the test_ekos_scheduler_ops tests more stable.
860301309 2022-03-09 Jasem Mutlaq         Fix typo
abec3e796 2022-03-09 Jasem Mutlaq         Extra check
e4685108d 2022-03-09 Jasem Mutlaq         vShapeSolution should be reset in stop
d38a27b17 2022-03-08 Akarsh Simha         Whenever stars have Henry Draper numbers, make them show up as their names
21635a353 2022-03-08 Robert Lancaster     Fix memory leak
4c71e6262 2022-03-07 Jasem Mutlaq         No need to explicitly load the dark frame
50c523bdc 2022-03-07 Jasem Mutlaq         Clear pointers on disconnect
d973ffec2 2022-03-06 Robert Lancaster     Making it faster by reusing stellarsolver.
4ea60c7fe 2022-03-07 Jasem Mutlaq         Capture encoding is now fully implemented in the code along with capture format. Fix issue when setting temperature and filters in non-light frames
e1a1f7c33 2022-03-06 Jasem Mutlaq         Make it compile on 18.04
4cfc70ff0 2022-03-06 Jasem Mutlaq         Make it compile on 18.04
8e7fd183f 2022-03-06 Hy Murveit           change scheduler colors for analyze
146577ca6 2022-03-06 Robert Lancaster     Fixing a KHelpClient bug on MacOS
3b39d06b4 2022-03-06 Philip Mair          Fixed restoring of bin settings
134d3d8d1 2022-03-06 Yuri Chornoivan      Fix minor typos
52e0e4d1e 2022-03-06 Jasem Mutlaq         Improve tooltip and simplify UI
961575df9 2022-03-05 Robert Lancaster     Improving Tooltips
d2724f80c 2022-03-05 Jasem Mutlaq         Clear sequence array on clear sequence
24d0806b5 2022-03-02 Akarsh Simha         Fix bug due to addition of new sky culture by saving config differently
ec9448cbd 2022-03-05 Hy Murveit           New Greedy Algorithm for Scheduler
a39d48e8e 2022-03-04 Mattia Procopio      Allow to provide a custom URL to download index data from
3e5b922c1 2022-03-04 Robert Lancaster     Fixing some issues found by Jussi Saarvirta
56a377826 2022-03-03 Hy Murveit           fix maxGuidestarsHFR issue, fix test, increase max dither size
cf5db0400 2022-03-02 Robert Lancaster     Updating KStars to support StellarSolver 2.0
9f20fe9e7 2022-03-02 Jasem Mutlaq         Make minimum exposure value 1 for refresh phase
831dc2890 2022-03-02 Hy Murveit           Allow older capture sequence files
cc7225978 2022-03-01 Salman Naheed        Ekoslive dark library
bfa23a060 2022-02-28 Nate Graham          Add Release tags to AppStream metadata file
06d6c0460 2022-02-26 Nate Graham          Make default color scheme default
8fe6068e0 2022-02-24 Salman Naheed        Ekoslive dark library
5dbb32de0 2022-02-23 Hy Murveit           Unconstrain Ekos' main vertical slider
df71cbf3e 2022-02-22 Salman Naheed        Ekoslive dark library
cd1cb58cf 2022-02-22 Wolfgang Reissenberger Timer based update of mount coordinates
8c457d62a 2022-02-22 Jasem Mutlaq         Add support for INDI capture format
2de2a7d0b 2022-02-21 Akarsh Simha         Adding popular asterisms as a sky culture
bbe08f422 2022-02-21 Salman Naheed        Ekoslive dark library
46d5fd47b 2022-02-21 Hy Murveit           Change gpg period spinbox from int to double
5a04cdbaa 2022-02-19 Wolfgang Reissenberger Bugfix selecting guide deviation when guiding is not running
9071245d7 2022-02-17 Wolfgang Reissenberger Bugfix darks jobstate and #158
e23f1c33d 2022-02-16 Hy Murveit           Small bug fixes: calibration not always shown. MultiStar graphics offset by a frame.


3.5.7 (DoLookUp):

feb6170cb 2022-01-16 Jasem Mutlaq         Make sure mount is slewing first
ddab6d181 2022-01-16 Jasem Mutlaq         Fix mount model crash where it was calling system abort instead of align abort
aae00542b 2022-01-16 Jasem Mutlaq         Use KSNotification when rejection motions outside of enabled mount limits. When limits are disabled and user issues GOTO below horizon, issue a time..
cfcee7a34 2022-01-15 Jasem Mutlaq         In Edit job mode, set default button to validate job. On exit edit mode, reset default button to preview. Fixes #152
d4932ed97 2022-01-15 Jasem Mutlaq         Check for ACTIVE_ROTATOR as well
88dbcc22a 2022-01-15 Jasem Mutlaq         Fix gain and offset settings
636a05c9c 2022-01-13 Jasem Mutlaq         Mark as stable
b895d2dbf 2022-01-13 Jasem Mutlaq         Set initial property values
8df58274d 2022-01-13 Jasem Mutlaq         Simplify removeDevice and remove by name instead of pointer
59a7f4d6e 2022-01-13 Hy Murveit           Bugfix: test to delay capture with high guide deviation was broken
d558c8959 2022-01-12 Jasem Mutlaq         Add support for flat darks.
c16eb6f4b 2022-01-12 Jasem Mutlaq         Update frame is always align +A
5ec6a8013 2022-01-11 Jasem Mutlaq         Wait until rotate state is OK before marking prepare as ready
7d63e044a 2022-01-11 Wolfgang Reissenberger Deactivating meridian flip while PAA is running
56ad052e2 2022-01-11 Hy Murveit           Don't allow guidestars to redo star correspondence if it isn't the first guide frame
d5db98680 2022-01-10 Robert Lancaster     Making the data directory install first on Macs so that it gets copied by...
99fe1935d 2022-01-09 Jasem Mutlaq         INDI driver sync
66dcf9cf4 2022-01-09 Jasem Mutlaq         In case we have pending in-sequence tasks, we need to suspend fast exposure to...
39f549260 2022-01-08 Hy Murveit           Disable some inapplicable controls. Include dither miss in random walk accumulator.
c9cf28e52 2022-01-08 Robert Lancaster     Fixing some Mac Installation issues
56339e713 2022-01-07 Jasem Mutlaq         Make video streaming window appear on top since if a user activates live feed then it is more important than other windows on the desktop
02ead1ff9 2022-01-06 Hy Murveit           change label for new dither control
267c55170 2022-01-06 Jasem Mutlaq         Extend properties that can be saved in a sequence file beyond just numbers....
31f0ef70b 2022-01-06 Hy Murveit           dither and calibration cleanup.
580c5a9c5 2022-01-05 Jasem Mutlaq         Use xplanet to generate images for planetery bodies
a43a7153f 2022-01-04 Wolfgang Reissenberger Fix for regression introduced in step 1
dbb44aca4 2022-01-04 Yuri Chornoivan      Fix minor typos
40c19a5ea 2022-01-04 Akarsh Simha         Remove accidentally included warning
7c954fa87 2022-01-04 Jasem Mutlaq         Emit PAA stage instead of just boolean toggled
219207cad 2022-01-03 Akarsh Simha         Fix bugs involving the reading and writing of user's notes (logs) on objects
2746e8356 2022-01-03 Robert Lancaster     Including XPLanet in the Build on Macs
55d9055fb 2022-01-03 Robert Lancaster     Copying the QML files to the Mac data directory and supporting new xplanet location
59851988c 2022-01-03 Jasem Mutlaq         Fix docbook issue
e39f2f7a7 2022-01-03 Eric Dejouhanet      Mosaic Tool documentation update
6e5a8c536 2022-01-02 Wolfgang Reissenberger Restricting sequence job state tests to INDI installations
d81193b09 2022-01-01 Wolfgang Reissenberger State machine for capture control (Step 1)
8f3cd304c 2022-01-01 Robert Lancaster     Removing unnecessary or redundant astrometry code on all platforms and removing the internal astrometry.net build on MacOS
4a74f4f11 2021-12-30 Robert Lancaster     Making the data directory install first on Macs so that it gets copied by...
89c81e716 2021-12-30 Jasem Mutlaq         Add a signal to alert other modules that Polar Alignment Assistant is active
cac693eb9 2021-12-30 Jasem Mutlaq         Call meridianFlipSetupChanged instead of handling state changes
3f9862002 2021-12-29 Robert Lancaster     Making the data directory install first on Macs so that it gets copied by...
b6082ed29 2021-12-28 Robert Lancaster     Fixing Data directory install to app bundle for macs
8cfa168f8 2021-12-26 Hy Murveit           re-enable the scheduler_ops test, keep it unstable for now
f2280b776 2021-12-21 Jasem Mutlaq         Call start and not execute as the former is the correct function from cold state
f65a547c5 2021-12-19 Eric Dejouhanet      Forgot folder creation before d-bus daemon startup.
b607d6e86 2021-12-18 Eric Dejouhanet      Add d-bus support to CI image, start daemon when testing.
e32f206f0 2021-12-18 Jasem Mutlaq         Start is the DBus facing function and must result in proper startup of the scheduler. This is a fix to a prior change to use private run
bca5c0353 2021-12-15 Wolfgang Reissenberger Bugfix for scheduler and place holder test cases
6782a28d3 2021-12-12 Pino Toscano         tests: remove useless xterm test
6529f4ffc 2021-12-05 Jasem Mutlaq         Add support to dragging mosaic panels around
0926c0218 2021-12-09 Ian Hattendorf       Fix issues finding INDI and compiling
6372ec393 2021-12-06 Hy Murveit           SimClock will no longer remember that it was paused last time
fceb9cb74 2021-12-05 Hy Murveit           display comets at almost all zooms, default names now 1AU.
9de2059ab 2021-12-06 Jasem Mutlaq         Move building existing GUI property after we connect the signals so that we do not miss any buildProperty signal
d224c34f9 2021-10-13 Antonio Escriban     standardized dialog for guider 'Control Parameters' &'Other Settings'
e7bc2c83c 2021-12-05 Jasem Mutlaq         Use new style Signal slots connection for simclock and timestepbox
551d2312d 2021-12-04 Jasem Mutlaq         Fix issue where restarted guide camera was not properly reassigned as the current camera due to conflicting states. Reset the camera with the same p..
bc4fe3bad 2021-12-04 Jasem Mutlaq         Make set target into its own function since it gets reconnected too many times with lambda
ccce44513 2021-12-04 Jasem Mutlaq         Add log when restarting a driver
54f31606e 2021-12-02 Jasem Mutlaq         Add setNow dbus function. Update XML file to include setNow and setClockScale. Minor variable refactor
68e20d0d7 2021-11-30 Jasem Mutlaq         Correct some build instructions
198323721 2021-11-30 Jasem Mutlaq         Add libkf5doctools-dev as alternative
5773416c1 2021-11-30 Jasem Mutlaq         INDI drivers sync
dce51930b 2021-11-25 Jasem Mutlaq         Remove C++ style comments in C file
4a2b5d64c 2021-11-25 Jasem Mutlaq         Compressed FITS image with fpack are now properly loaded in KStars when they are sent as buffer
844257eb2 2021-11-25 Jasem Mutlaq         Enable complete flat capture with ADU calculation without using previews
d26ad8671 2021-11-25 Wolfgang Reissenberger Bugfix guiding deviation restart aborted capture
6097aa190 2021-11-22 Hy Murveit           PolarAlign: Add image number display in refresh phase.
a676548f5 2021-11-22 Jasem Mutlaq         This fixes issue #142 by converting all instances of AppDataLocation to AppLocalDataLocation. This has no effect on Linux and MacOS (returns same va..
124ba3a2a 2021-11-22 Wolfgang Reissenberger Bug fix scheduler capture counting
0c3c8306d 2021-11-22 Wolfgang Reissenberger Display FITS viewer only when option is set
262ccfbdc 2021-11-22 Jasem Mutlaq         Fix comet issue on Windows since it was saving file as text when it was binary gzipped file. Also fix comet magnitude calculation now that we use MP..
d482ab947 2021-11-22 Jasem Mutlaq         Do not include unistd.h on Windows
bd907c31c 2021-11-22 Jasem Mutlaq         Store name directly in a member variable for faster and safe access. Add device removal function
509698be7 2021-11-19 Paweł Pleskaczyński  change guide graph style to line graph
62fb748de 2021-11-18 Wolfgang Reissenberger Bugfix for capture guiding deviation recovery
97f085604 2021-11-17 Jasem Mutlaq         Make it work on Qt prior to 5.10
4bff7d0f1 2021-11-17 Jasem Mutlaq         USB entity causing build problems on Ubuntu 18.04 so reverting to regular text until 22.04 is released and 20.04 is the new baseline
a08a1198d 2021-11-16 Jasem Mutlaq         Revert "Use NewStuff Elements"
0b3380622 2021-11-11 Oleg Solovyov        Use NewStuff Elements
906daf38e 2021-11-15 Jasem Mutlaq         Starting 3.5.7 development cycle
df2613427 2021-11-12 Jasem Mutlaq         Add Zlib include directory so that Windows can find it
e7cded0c5 2021-11-12 Jasem Mutlaq         Fix compiling on Windows

3.5.6 (MPC):

8fa7a982e 2021-11-10 Jasem Mutlaq         In case of framing, do not capture again in fast exposure as that it already done for us at the driver level
5d14f61ae 2021-11-10 Jasem Mutlaq         Move response handling even before Ekos is connected
6dc096f79 2021-11-10 Jasem Mutlaq         Make the INDI server connection error uses KStars notification system
f79aa5e7d 2021-11-10 Jasem Mutlaq         Connection to INDI server should be INFO not ALERT
0a583df80 2021-11-10 Jasem Mutlaq         Refactor name to standard INDI
6bf9fb7f5 2021-11-10 Jasem Mutlaq         Extra check to stop countdown timer when not required
0a42c0180 2021-11-10 Jasem Mutlaq         Improve fast exposure behavior in focus and align
6d4fea42f 2021-11-10 Jasem Mutlaq         Add extra check to prevent crash in case frame dimensions are different
89dbf27a6 2021-11-10 Jasem Mutlaq         Refactor name from exposure looping to fast exposure since the latter is more intuitive
e076f16e4 2021-11-10 Jasem Mutlaq         Clean up capture module after dark library is done
c5897aa63 2021-11-08 Jasem Mutlaq         Separate dark processor in its own class. Problem was in using a singleton to...
190831806 2021-11-08 Jasem Mutlaq         MPC base comets
41121c62a 2021-11-08 Jasem Mutlaq         Add support for selecting star by fraction of image size
9b64e0777 2021-11-07 Jasem Mutlaq         Use 1920 for high bandwidth images
e483a90a1 2021-11-06 Jasem Mutlaq         Fix clear data button not causing the graph not refresh
9c606673c 2021-11-05 Wolfgang Reissenberger Align event based target
b0b920de6 2021-11-01 Jasem Mutlaq         Add a row to display focus source temperature and the delta so that it is not ambigous
e494f5d03 2021-10-30 Jasem Mutlaq         Accept MDPD drivers to have possible aliases. Though this only works when a single device is detected
177743f0f 2021-10-26 Jasem Mutlaq         INDI Drivers sync
3ea37b529 2021-10-24 Jasem Mutlaq         Suspend on filter focus offset change. Also only suspend if OAG is in use
baa1fd701 2021-10-26 Jasem Mutlaq         What's up tonight DSO fix
623aa9e9f 2021-10-19 Antonio Escriban     tooltip about fixed options for 'SEP Multi Star'-algorithm
75144f58c 2021-10-25 Jasem Mutlaq         Move fits_write_img to last operation before closing to avoid possible HDU issues.
db0809bf4 2021-10-23 Jasem Mutlaq         Indiana reverted to using DST
05c79cd93 2021-10-22 Jasem Mutlaq         Fix polyfill issues on vanilla 20.04 with Qt 5.12
895c27852 2021-10-21 Jasem Mutlaq         Use Tp as the JD of perihelion. Still the results are not very accurate compared to JPL
2cb7f88d3 2021-10-21 Valentin Boettcher   basic fix for asteroids
022665db8 2021-10-20 Jasem Mutlaq         Fix crash due to missing camera possibly after driver restart due to a timeout.
21981dd2f 2021-10-17 Antonio Escriban     configSEPMultiStarOptions - small addendum
0b9530f9f 2021-10-17 Jasem Mutlaq         No Queued Blocking signals and slots
cb0f9a03a 2021-10-17 Hy Murveit           Add relative HFR calculation to Linear focus algorithm. Improve plotting. Tweak algorithm.
d650674d7 2021-10-16 Jasem Mutlaq         After capture sequence is started, resync scheduler target position in alignment module
6b79f840b 2021-10-16 Jasem Mutlaq         Disable PHD2 test until it passes properly in the CI
8ba4c33d9 2021-10-16 Jasem Mutlaq         Do not show nan magnitudes in the tooltip
08aaca20b 2021-10-14 Hy Murveit           emergency crash fix--guideview was nullptr
4282a74ad 2021-10-13 Jasem Mutlaq         Add logging when there is out of memory error in FITSData. Would be better to know application own memory use as well
724095c73 2021-10-13 Jasem Mutlaq         Make ksnotification use KStars own KSMessageBox
319d4e9e1 2021-09-21 Antonio Escriban     improve guider binning setting/saving and check supported binning of guider camera to inform user in the log window of EKOS
b1e26f562 2021-10-08 Antonio Escriban     rearranged initialization (#0 Prelude) of dialogs in "Guide" to ensure updating of settings
842a71026 2021-10-11 Jasem Mutlaq         Do not run checkCCD if the module is busy as this might end up disconnecting...
102d25637 2021-10-11 Jasem Mutlaq         Check if dark frame can be loaded before proceeding
a7470e854 2021-10-03 Jasem Mutlaq         Use FWHM 1 as it appears to be much more reliable than 2 or above at detecting stars
a1a81a46a 2021-10-10 Jasem Mutlaq         Better handling for INDI::CCD errors since they can happen to a number of...
c697d6206 2021-10-06 Hy Murveit           switch fix to kstarsdatetime::addDays
38cc4a20d 2021-10-06 Hy Murveit           add fix to calculateDawnDusk and update test
0e680a7fb 2021-10-05 Hy Murveit           add test for dusk startup
17ea2674f 2021-10-09 Valentin Boettcher   fix the issue where dso magnitudes are not drawn
bb7cffeae 2021-10-09 Wolfgang Reissenberger Event based coordinate update
e5b4efda0 2021-10-07 Hy Murveit           fix testschedulerunit, which was crashing
1a33741f8 2021-10-08 Jasem Mutlaq         Do not show magnitude if nan
88cfea4b8 2021-10-01 Hy Murveit           Retry focus position when solution is pending, is before pass1 minimum, and HFR got worse
65dc13122 2021-10-04 Jasem Mutlaq         Consider file extension in the generated file placeholder. Unless @kchoi has another solution, this should probably be merged since DSLR images cann..
c4a2438be 2021-10-05 Hy Murveit           fix terrain for equirectangular projection
503e73e81 2021-10-05 Jasem Mutlaq         Improve port selector shouldShow algorithm so that it does not show singular device with singular serial port
46bfd741b 2021-10-05 Jasem Mutlaq         Add manufacturers to auxiliary
158947dc9 2021-10-05 Jasem Mutlaq         INDI driver sync
655795bb9 2021-10-05 Jasem Mutlaq         INDI drivers sync
f2d87ed4f 2021-10-03 Laurent Montel       GIT_SILENT: remove .arcconfig
0b1fba8ab 2021-10-02 Jasem Mutlaq         Also set current goto mode when setting solver action
69db0ba07 2021-10-01 Jasem Mutlaq         Quick fix dustCapLightEnabled -> lightBoxLightEnabled when checking currentLightBox
0fe1e1102 2021-09-30 Jasem Mutlaq         Make the websocket connections unique and introduce cache to reduce unnecessary property update messaging
3f3ad7887 2021-09-30 Jasem Mutlaq         Give more time for INDI to properly shutdown in case an existing server is detected
7c490745c 2021-09-30 Jasem Mutlaq         Break instead of return so that calibration state is set correctly
d9039d6ff 2021-09-29 Hy Murveit           Fix issue where PAA is falsely disabled due to FOV
4e890c352 2021-09-28 Hy Murveit           Add popup if image write fails
41a7d320c 2021-09-28 Jasem Mutlaq         Fix issue where saving flats to remote storage failed due to wrong camera...
b920b785f 2021-09-21 Heiko Becker         Add FindERFA cmake module
35fc49645 2021-09-23 Jasem Mutlaq         Since captured images are saved in a buffer, we do not persist bayer frames after debayering so we cannot save the file by copying. Bayer images wou..
d806e5c3c 2021-09-23 Jasem Mutlaq         Also include camera name
0c2b197c3 2021-09-23 Jasem Mutlaq         Restrict to 32x32 to be consistent with other icons
a41561c29 2021-09-22 Akarsh Simha         Increase the maximum value of the deep-sky magnitude limits to 30.
2bc3b2b18 2021-09-22 Hy Murveit           fix bug where hfr and eccentricity were not updating in fitsviewer
f6622f0c6 2021-09-22 Jasem Mutlaq         Check image for nullptr
aef8b3d31 2021-09-22 Jasem Mutlaq         Check if job index is within bounds
8c26cf623 2021-09-21 Jasem Mutlaq         Fix typo
23219a3a5 2021-09-20 Yuri Chornoivan      Remove extra translation string
c1cfa5484 2021-09-19 Wolfgang Reissenberger Manager GUI refactoring | Image preview with data overlay + capture counting streamlined
035ceb153 2021-09-19 Jasem Mutlaq         Check for lightbox before dust cap
038f89092 2021-09-19 Kwon-Young Choi      New flexible method to name filenames using `PlaceholderPath::generateFilename`
1d97ced0a 2021-09-18 Hy Murveit           Restructure test_ekos_scheduler_ops to allow for multiple job testing
2d417b636 2021-09-17 Alexander Lohnau     Convert HEALPix copyright statements to SPDX
a26205ae9 2021-09-17 Alexander Lohnau     Convert GPL-2.0-or-later copyright statements to SPDX
05b50d987 2021-09-17 Jasem Mutlaq         KStars v3.5.6 Beta
9d36d8272 2021-09-17 Alexander Lohnau     work/spdx
584462311 2021-09-16 Hy Murveit           Add git merge instructions to README.md
c4579a001 2021-09-16 Robert Lancaster     Fixing build on MacOS if the developer doesn't have dbus in the path, making it a warning instead of a failure
f316ca22d 2021-09-15 Jasem Mutlaq         Add port_selector to json settings
7b8d9a153 2021-09-14 Jasem Mutlaq         Restore check for set times

3.5.5 (Bella):

e16274917 2021-09-14 Jasem Mutlaq         KStars 3.5.5 stable
a9b1d5a22 2021-09-14 Jasem Mutlaq         Fix transit and set times for several types of objects. Only remaining problematic object is comets. Lunar, Solar, Planetary, and Stellar objects ri..
4ddf3bc17 2021-09-13 Hy Murveit           Tightened up the code related to capture suspending on bad guide deviations
9d5e16721 2021-09-14 Jasem Mutlaq         When no temperature is supplied, turn off force
4d0f5845e 2021-09-13 Jasem Mutlaq         No need for hack root cause fixed
c276f5ffa 2021-09-13 Jasem Mutlaq         Fix crash division by zero. BUGS:402941
31eaa16ab 2021-09-13 Hy Murveit           quiet frequent log message
d40b42685 2021-09-13 Jasem Mutlaq         Fix tooltips. Fixes #424699
3e727fab8 2021-09-13 Jasem Mutlaq         Reset default binning for solver to 2x2 since some cameras can be terrible at 4x4 leading to even more issues. Fix compiler warnings
3ad663d8c 2021-09-12 Pino Toscano         typo fix
32b28ed03 2021-09-12 Jasem Mutlaq         Change the infamous alignment failure message to suggest more items to check than just insufficient stars
7c1946093 2021-09-11 Jasem Mutlaq         Restore special check for onBinaryReceive
2f0cf7ec2 2021-09-10 Anthony Hinsinger    Disabled LTO
268caf693 2021-09-11 Valentin Boettcher   fix the pykstars python package
fd64fa993 2021-09-10 Jasem Mutlaq         Idle is acceptable state for parking and unparking for dust caps
9c3fb25ec 2021-09-10 Jasem Mutlaq         Better use the new isValid then isRegistered
2e36eb832 2021-09-10 Jasem Mutlaq         Check for nullptr in syncing switch and return
06be887e8 2021-09-10 Jasem Mutlaq         Use dataProp.getPermission instead of accessing parent direclty
53dd2001f 2021-09-08 Hy Murveit           bug fix: end calibration section in guidelog when calibrating 1D
ab575d260 2021-09-09 Jasem Mutlaq         INDI drivers sync
fa2f0fac1 2021-09-08 Jasem Mutlaq         Check for alignment in constructor since it is already registered before class is created
37d7b6f82 2021-09-08 Jasem Mutlaq         On abnormal disconnect, try to clear devices first by using BlockingQueuedConnection connection type with serverFailure signal
a100fa166 2021-09-08 Jasem Mutlaq         Use modern connect
eb137327f 2021-09-07 Hy Murveit           Fix issue where calibration wasn't updated if guider binning was changed
56d3372e8 2021-09-08 Jasem Mutlaq         Add new city in German. Fixes #130
f86983c5d 2021-09-07 Hy Murveit           move vect.h and matr.h to namespace GuiderUtils
69ea81e02 2021-09-07 Jasem Mutlaq         Partial fix for #442082 regarding building on newer Eigen version.
ffffe23e8 2021-09-07 Jasem Mutlaq         Add extra checks to prevent mix up of camera signals to guide slots
f757267f9 2021-09-06 Hy Murveit           fix guide driftplot for RA
25058a519 2021-09-06 Hy Murveit           Guider fixes: ra error plotting reversed, disabling axes bug
df269e340 2021-09-06 Jasem Mutlaq         Sort by magnitude and activate supernovae when searching for them
4d4e5a55b 2021-09-06 Jasem Mutlaq         When searching for exact dso object, use lower to provide case-insensitive search
c45ca58ee 2021-09-06 Jasem Mutlaq         Save guide bin index properly for future sessions
5840eb553 2021-09-05 Jasem Mutlaq         Fix the elusive FITSViewer window popping up without image. tabID was never reset to -1 when a FITSViewer is closed mid-sequence so instead of calli..
678c5e360 2021-09-05 Jasem Mutlaq         + Fix crash on crash when INDI server is still running. + INDI Control Panel was using a very convoluted layout system that results in few bugs when..
f5d92a964 2021-09-04 Jasem Mutlaq         Use array for designations
d7864b5a6 2021-09-03 Valentin Boettcher   skycomponent db import: do not ask and move to unique name...
fadc315a5 2021-09-03 Jasem Mutlaq         Sync startup time to system when starting a profile in EkosLive
9e14dbfb4 2021-09-02 Hy Murveit           fix crash in test_polaralign
4ebe78ad6 2021-09-01 Jürgen Terpe         Resize manager: change the size of the log view
acf1c21c3 2021-08-31 Jasem Mutlaq         Fix pre-capture script not executing before each capture as intended
126879e3a 2021-08-29 Jasem Mutlaq         Remove message hack
e014ceb04 2021-08-29 Robert Lancaster     Moving some kstars-mac building commands to cmakelists from the craft script to make it easier for potential coders
9b00fd163 2021-08-29 Jasem Mutlaq         Add fov_w and fov_h to hipsfinder
34f93cde2 2021-08-28 Jasem Mutlaq         Enclose searchObjects by the required ifdefs
575263f04 2021-08-28 Jasem Mutlaq         Do not search objects in FITS after loading WCS unless it is explicitly needed.
0af86470c 2021-08-28 Jasem Mutlaq         Use local time directly and let almanac do the conversion to UT.
baf962fbf 2021-08-27 Jasem Mutlaq         Increase timeout
a85a38c02 2021-08-27 Robert Lancaster     Eliminating formerly required Python options for local astrometry.net on MacOS
aeebedcae 2021-08-27 Jasem Mutlaq         Possible fix for CI test failure
4a03f493b 2021-08-27 Yuri Chornoivan      Fix minor typos
a57f2889a 2021-08-26 Jasem Mutlaq         INDI drivers sync
e7de78d1d 2021-08-19 Hy Murveit           Refactor guider, adjust UI, convert to 0-1.0 control parameter, use calibration, add calibration test.
3a76f6907 2021-08-25 Edgar Scholz         Update skyculture sternenkarten simplifying some constellation lines adding new constelllation lines for the southern hemisphere
2354ea736 2021-08-26 Valentin Boettcher   store a reference to the database file instead of a string
1d87ec995 2021-08-26 Jasem Mutlaq         Add missing header
2dd49c1af 2021-08-26 Alexander Lohnau     Use QFINDTESTDATA to make search for test data more robust
2e37228d4 2021-08-23 Jasem Mutlaq         Add filter wheel sync test to demonstrate MR \!397
a8ec089f7 2021-08-23 Jasem Mutlaq         Ensure that filter info is synchronized before capture. This sets the active filter wheel in camera ACTIVE_DEVICES so that the filter value can be p..
99add6c0d 2021-08-23 Jasem Mutlaq         Add post refresh phase in order to shutdown properly when done. Update documentation
0679c0ae3 2021-08-23 Jasem Mutlaq         Fix tab order
d629cb0ac 2021-08-23 Jasem Mutlaq         Fallback to scale and then later position in case of align solver failure
a7767c195 2021-08-22 Jasem Mutlaq         Some early documentation. Needs a lot more still
e84986d41 2021-08-22 Jasem Mutlaq         Fix minor warnings
4f98b9c6c 2021-08-22 Jasem Mutlaq         More fixes to issue in the migration process
33d93a265 2021-08-22 Jasem Mutlaq         More minor fixes due the migration process
0a444b30e 2021-08-22 Jasem Mutlaq         Separating manual rotator in its own class
e6f8f4b9e 2021-08-22 Jasem Mutlaq         Init polar alignment in constructor
e756f059d 2021-08-22 Jasem Mutlaq         Removing legacy polar alignment. Separating polar alignment in its own class. Still does not compile need more work
faa288335 2021-08-21 Jasem Mutlaq         Solve an odd condition whereas duration is selected in capture sequenence, but ADU target is selected so that the final duration is determined by Ek..
78782f5d5 2021-08-21 Jasem Mutlaq         Check that rectangle is valid for sending off to stellarsolver
4c00c51bd 2021-08-21 Jasem Mutlaq         Respect scale and position options when using load and slew
4f5204a9a 2021-08-21 Jasem Mutlaq         Separate mount model into its own class
d1b829e41 2021-08-25 Jasem Mutlaq         solverCam --> solverCamera
1a156e37f 2021-07-21 Antonio Escriban     Save Binning, Fits filter settings (guider), Camera gain (solver) and configure SEPMultistarOptions correctly
90c8dfc28 2021-08-24 Valentin Boettcher   update paths to the test db to accomodate !395
9b050ebb0 2021-08-23 Jasem Mutlaq         Disable TestEkosSchedulerOps test since it cannot apparently run in a CI environment with DBus server
cb9fe8013 2021-08-19 Hy Murveit           Fix compiler warnings
9e7f243d3 2021-08-22 Alexander Lohnau     Define CMake, Qt and KF requirements to versions that are shipped with Ubuntu 18.04
837c12fcb 2021-08-21 Wolfgang Reissenberger Bug fix for profiles and target names containing special XML characters
62f217c25 2021-08-21 Valentin Boettcher   add more information to the catalogsdb docstring
3dbd0200b 2021-08-20 Jasem Mutlaq         Do not return duplicate search objects
37b0d9584 2021-08-20 Jasem Mutlaq         Search each object type separately
edbaf78e0 2021-08-18 Hy Murveit           Revamp guider UI, remove dead code
2e297137a 2021-08-19 Hy Murveit           Defensive checks in capture.cpp
8a3ca1233 2021-08-18 Jasem Mutlaq         Add observability and riseset support to EkosLive
f048f70ac 2021-08-14 Jasem Mutlaq         Use 1280 as default for media in EkosLive
01bb34a6c 2021-08-13 Hy Murveit           crash-fix: check for activeJob in setCaptureComplete
60e54952e 2021-08-14 Hy Murveit           Add altitude adjustment for terrain image. Fix bug.
8a7193d24 2021-08-12 Hy Murveit           Adjust golden values in polar-align test to match changes in bf86d2e3
950a987ff 2021-08-11 Jasem Mutlaq         Set solver profile when it changes in options otherwise it will not be picked up by Ekos in the current session
3001752d9 2021-08-11 Jasem Mutlaq         Reset image data before loading a new image in align view so that the new image is assigned after loading is done. This fixes an issue with loadands..
4cce79ae2 2021-08-11 Jasem Mutlaq         Since actual devices in an observatory can take a while to startup unlike simulators, their ready signal could have been already emitted before the ..
adbbb7e5d 2021-08-10 Jasem Mutlaq         Emit newModule() as early as possible to help against a race condition in scheduler whereas it is waiting for ready signal to be emitted by the modu..
0bc9ee02a 2021-08-10 Jasem Mutlaq         Only register observatory module once
89a437dc3 2021-08-10 Valentin Boettcher   fix performance for loading thumbnails
5d0c6e1b9 2021-08-10 Jasem Mutlaq         Do not change camera while it is capturing
218953bef 2021-08-10 Jasem Mutlaq         Fix connection, supposed to go to manager updateCurrentHFR
c2fc4976e 2021-08-10 Jasem Mutlaq         Mark test as unstable
1474aa3c5 2021-08-10 Wolfgang Reissenberger Move focuser back to initial position when interrupted by a meridian flip
24efced5f 2021-08-06 Jasem Mutlaq         Fix build on Windows. Migrate to use more #pragma once for header files
4038931f6 2021-08-06 Valentin Boettcher   increase search radius for right click
f74b03f24 2021-08-06 Valentin Boettcher   resize catalog table headers to fit contents
102f7a5cd 2021-08-06 Jasem Mutlaq         Minor code readability improvements
2c71e7c0b 2021-08-06 Valentin Boettcher   use type aliases for the dso db return types
6494258cd 2021-08-06 Yuri Chornoivan      i18n fixes
a8638e0c7 2021-08-06 Jasem Mutlaq         HiPS finder to generate images for offline storage
cb31b5082 2021-08-05 Valentin Boettcher   Skycomp import
4834e3cc5 2021-08-04 Jasem Mutlaq         No need to say USE in checkbox
c8dd0be67 2021-08-04 Jasem Mutlaq         INDI driver sync
be7624ae2 2021-08-03 Wolfgang Reissenberger Tests for capture workflow
c30ce7d73 2021-08-01 Yuri Chornoivan      Give a meaningful title to the color editor dialog
ca5028200 2021-08-01 Hy Murveit           Add horizon altitude constraints to the scheduler. Add testing.  Improve dbus...
6c2e034b0 2021-07-31 Valentin Boettcher   Add catalog color to the docs
566e2d802 2021-07-31 Valentin Boettcher   add color database tests
f1e2df5d5 2021-07-31 Valentin Boettcher   correct empty default
9df332bef 2021-07-29 Valentin Boettcher   remove gruft from tests
a161d52c1 2021-07-29 Valentin Boettcher   test and fix color string parsing and dumping
ab6621fd3 2021-07-29 Valentin Boettcher   remove a stray qdebug
8af6d816e 2021-07-27 Valentin Boettcher   implement color selection for catalog edit form
877959efe 2021-07-27 Valentin Boettcher   move more functionality into the color editor
6a6c41ffc 2021-07-27 Valentin Boettcher   better contrast
c837e36f3 2021-07-27 Valentin Boettcher   identify color scheme by filename
8b41724c2 2021-07-26 Valentin Boettcher   accept cancellation
2a48f640f 2021-07-26 Valentin Boettcher   add ui for color selection
dbb0cc3f1 2021-07-26 Valentin Boettcher   record color scheme names and files globally
635944f64 2021-07-26 Valentin Boettcher   improve the docstring
f657e5509 2021-07-26 Valentin Boettcher   basic color support
2e5557e56 2021-07-27 Valentin Boettcher   fix dso_db_path to give the correct path with a slash
036ddb348 2021-07-26 Valentin Boettcher   implement basic colors table
bf86d2e37 2021-07-31 Akarsh Simha         Fix core computations in SkyPoint and StarObject, and a few other improvements.
8cda1153a 2021-07-28 Jasem Mutlaq         Disable RunTimeLocation test as it keeps failing on OpenSUSE and FreeBSD. Fixes #124
5e603e92b 2021-07-28 Yuri Chornoivan      Better sectionning for translation
7d353e717 2021-07-28 Jasem Mutlaq         Add more information on why this particular test keeps failing
d7f39cd83 2021-07-28 Akarsh Simha         "Batch add" option in the Observation Planner
d6dc1f193 2021-07-27 Valentin Boettcher   fix dso_db_path to give the correct path with a slash
d53eab53d 2021-07-27 Akarsh Simha         Expose the internet-based name resolver via DBus
9e0ea7d34 2021-07-27 Jasem Mutlaq         Merge branch 'bellaperez/kstars-bellaperez/Documentation'
8db2bdc19 2021-07-26 Antoni Bella Pérez   Merge branch 'bellaperez/Documentation' of invent.kde.org:bellaperez/kstars into bellaperez/Documentation
7991d68f6 2021-07-26 Antoni Bella Pérez   Lastest changes
5e04da0d1 2021-07-25 Antoni Bella Pérez   More revision with items reordered
a3f149e7b 2021-07-25 Antoni Bella Pérez   Make it more visual adding some GUI icons
01c3799a1 2021-07-25 Antoni Bella Pérez   Rename other screenshot
a9caf514f 2021-07-25 Antoni Bella Pérez   Suitable screenshots rename
2ad58f678 2021-07-26 Antoni Bella Pérez   squash 85566b790 Suitable screenshots rename squash e3db55aad Rename other screenshot squash 93b8cf57c Make it more visual adding some GUI icons squ..
777aa42d0 2021-07-25 Antoni Bella Pérez   Add menu items and suitable tags
f7f0b1e31 2021-07-23 Antoni Bella Pérez   Renew screenshots
cd784a2e0 2021-07-23 Antoni Bella Pérez   Documentation updates  * Review all items
dacce8c08 2021-07-26 Antoni Bella Pérez   Lastest changes
182a80854 2021-07-26 Valentin Boettcher   qAppName is not known until runtime
2c995dc3e 2021-07-26 Jasem Mutlaq         Disable port selector for the guide test
496360a48 2021-07-25 Antoni Bella Pérez   l10n: Punctuation and capitalize
6beac9288 2021-07-25 Antoni Bella Pérez   More revision with items reordered
93b8cf57c 2021-07-25 Antoni Bella Pérez   Make it more visual adding some GUI icons
e3db55aad 2021-07-25 Antoni Bella Pérez   Rename other screenshot
85566b790 2021-07-25 Antoni Bella Pérez   Suitable screenshots rename
ed9b97671 2021-07-25 Antoni Bella Pérez   Merge branch 'bellaperez/Documentation' of invent.kde.org:bellaperez/kstars into bellaperez/Documentation
8737aa63c 2021-07-25 Antoni Bella Pérez   Merge branch 'master' of invent.kde.org:education/kstars into bellaperez/Documentation
449fe8727 2021-07-25 Antoni Bella Pérez   Add menu items and suitable tags
438eb08b2 2021-07-23 Antoni Bella Pérez   Renew screenshots
1b4d80d2c 2021-07-23 Antoni Bella Pérez   Documentation updates  * Review all items
5b1914466 2021-07-24 Hy Murveit           Restore the HFR etc statistics.
55c620a70 2021-07-23 Antoni Bella Pérez   Renew screenshots
d213c3a62 2021-07-23 Antoni Bella Pérez   Documentation updates  * Review all items
6123fa93e 2021-07-22 Yuri Chornoivan      Fix minor typos
0884643e5 2021-07-21 Jasem Mutlaq         Label KSPath test as unstable since it fails on CI
c3d580cc4 2021-07-21 Hy Murveit           Refactor scheduler, use just one timer, add unit testing.
d101568ac 2021-07-21 Valentin Boettcher   fix the object counts in the observation wizard
a3c2303b5 2021-07-20 Wolfgang Reissenberger Bugfix for guiding target plot showing mirrored plots
aaaa1feb1 2021-07-21 Antoni Bella Pérez   GUI l10n fixes
13834ad30 2021-07-19 Wolfgang Reissenberger Bugfix shared pointers in capture count widget
fae50b500 2021-07-19 Jasem Mutlaq         Use timer based approach to show the port selector
8ba923311 2021-07-19 Jasem Mutlaq         Toggle profile port selector
b9f35b78e 2021-07-17 Wolfgang Reissenberger Fixed compiler warnings
48e46ce61 2021-07-18 Jasem Mutlaq         Bring back auto dark in capture module
d4da61ef8 2021-07-18 Jasem Mutlaq         Sort by master dark capture date
fb73702b1 2021-07-17 Jasem Mutlaq         Do not call WCS dependent functions without WCSLIB
9ccf1f5bd 2021-07-17 Jasem Mutlaq         Remove unnecessary reset in sequence job that was only used to reset batch mode
9c5028c10 2021-07-17 Jasem Mutlaq         Do not allow histogram width to be zero
adaf4ec88 2021-07-10 Jarno Paananen       Remove precalculated pixel-to-WCS lookup table which takes huge amounts of memory (two floats per pixel) and slows down image loading in favor of ca..
08b13460a 2021-07-14 Valentin Boettcher   update bundled openngc
0386e1a21 2021-07-14 Valentin Boettcher   hack to make sorting work
4f10d59fc 2021-07-14 Valentin Boettcher   find objects by wildcard to avoid wrong objects showing up
0771fd970 2021-07-10 Valentin Boettcher   move the prefix definition where it belongs
e476d439b 2021-07-10 Valentin Boettcher   remove accidental double pasting
5f7848af1 2021-07-10 Valentin Boettcher   restore catalog exploration to what's interesting
35a7e0f72 2021-07-09 Valentin Boettcher   clean up indentation in wiview.qml
ddd9f67a3 2021-07-14 Wolfgang Reissenberger Manager refactoring | re-usable widgets extracted
0be6e85a8 2021-07-14 Jasem Mutlaq         Use a smarter method to show the port selector dialog
45c9695b8 2021-07-14 Yuri Chornoivan      Fix minor typos
679497898 2021-07-14 Yuri Chornoivan      Fix typo, optimize docbook parsing for translation
e262e2688 2021-07-14 Jasem Mutlaq         New Profile Port Selector
93c6f30f7 2021-07-13 Nicolás Alvarez      Don't auto-retry GitLab CI jobs
53e62ce5b 2021-07-13 Valentin Boettcher   fix doc issues discovered by checkxml5
a38047c8d 2021-07-13 Valentin Boettcher   Dso docs
8908f69b0 2021-07-13 Jasem Mutlaq         When Ekos resets, release dark library
cae45d2eb 2021-07-12 Valentin Boettcher   generic data location to app data location
01b134b3c 2021-07-11 Valentin Boettcher   change usage of writableLocation in texturemanager
7d4ed9361 2021-07-11 Jasem Mutlaq         In capture and solve if image data is missing, assign from view
e768088e7 2021-07-10 Jarno Paananen       Remove templating from rescale function as the template type is not used for anything (anymore?). Also fix a typo in "hasDebyaer".
249350d35 2021-07-09 Valentin Boettcher   pre populate the search dialog with the brightest objects
b661673a8 2021-07-09 Jasem Mutlaq         Many functions still depend on FITSView loading the image fully when when the FITSData is emitted. Such functions should be gradually moved to separ..
772298d80 2021-07-08 Jasem Mutlaq         Remove underscore from target name when setting FITS_OBJECT
74c9563e5 2021-07-07 Simone Tisa          Improve randomness of non guiding dithering
1da63e84b 2021-07-07 Alexis Lopez Zubieta Fix/appimage
563c5f336 2021-07-07 Eric Dejouhanet      Hotfix for the twilight restriction
68cd35cad 2021-07-07 Dušan Poizl          Stable alphabetical INDI device order
d71333ad1 2021-07-07 Eric Dejouhanet      Rewrite KSPaths::writableLocation to give test their own environment.
a320f01e5 2021-07-07 Jasem Mutlaq         Mount QML changes caused crash on raspberry pi perhaps due to language issue in variable subsutiion. Have a workaround now for this to work
addb57755 2021-07-06 Siyu Zhang           Control Mount with arrow keys
c2b40918d 2021-07-02 Jasem Mutlaq         Move away from FITSView and try to use FITSData directly in order to decouple the data processing from GUI
d130fa950 2021-06-26 Nate Graham          Add shortcuts for increasing and decreasing the time scale
4c1ebb5f4 2021-07-06 Jasem Mutlaq         kdoctools-dev --> libkf5doctools-dev starting from Ubuntu 21.04
e48bd5e95 2021-07-06 Jasem Mutlaq         Starting 3.5.5 development cycle
fcedf7bb6 2021-07-06 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
5a05e1009 2021-07-06 Jasem Mutlaq         Update XML types for more direct access to variables by external programs
4283b82ef 2021-07-06 Jasem Mutlaq         Use fully qualified name for CommunicationStatus so that external programs do not cause QMetaType errors
50c6a3242 2021-07-05 Valentin Boettcher   the download dialog should belong to kstars
94ad6adce 2021-07-05 Valentin Boettcher   fix the date conversion in pykstars and add catalog meta update
5149471e2 2021-07-04 Valentin Boettcher   nicer backup filename
5f9e33bda 2021-07-04 Valentin Boettcher   backup dso db
86ac115a8 2021-07-02 Valentin Boettcher   only lesser versions are a problem
d7d5a5c6f 2021-07-02 Valentin Boettcher   test reading timestamps
78ed73fe1 2021-07-02 Valentin Boettcher   fix i18n typo
6fc38b301 2021-07-02 Valentin Boettcher   implement migration for reading meta
571324d0c 2021-07-02 Valentin Boettcher   add migration to import
65cfd5699 2021-07-02 Valentin Boettcher   add timestamp support to pykstars
bba1e308c 2021-07-02 Valentin Boettcher   update test db
e3959205a 2021-07-02 Valentin Boettcher   add timestamp field to catalog and a migration to update the db
56f732cb8 2021-07-03 Jasem Mutlaq         Prepare for 3.5.4 stable release
3fe7f5941 2021-07-03 Valentin Boettcher   show notice about the knewstuff bug

3.5.4 (Gera):

7498a113d 2021-07-03 Valentin Boettcher   clear texture cache before reloading the deeps sky, cache not found
305007451 2021-07-02 Jasem Mutlaq         Set correct frame information for DSLR
896d37996 2021-07-02 Eric Dejouhanet      Fix twilight calculation
8443f28f1 2021-07-01 Valentin Boettcher   don't show catalog identifier
ac694e05f 2021-06-30 Jasem Mutlaq         Merge branch 'lancaster/kstars-master'
d76113a8d 2021-06-30 Valentin Boettcher   Better dso search
bacb23249 2021-06-30 Valentin Boettcher   also check top level dir for textures
01f357a9b 2021-06-30 Valentin Boettcher   update default openngc
53b39b377 2021-06-30 Valentin Boettcher   make object hashes more stable by only hashing essential fields
d0b0ece76 2021-06-29 Robert Lancaster     Fixing typo2
38189b7b8 2021-06-29 Robert Lancaster     Fixing typo
f2f82ae39 2021-06-29 Robert Lancaster     fix descriptions due to wikipedia API update
01c0ad994 2021-06-29 Robert Lancaster     Merge branch 'master' of https://invent.kde.org/education/kstars
f2972aa6f 2021-06-29 Valentin Boettcher   fix the thumbnails in what's interesting
782f19f9f 2021-06-27 Valentin Boettcher   Revert "draw dso with the correct position angle" and fix it for good
f40a0e7c6 2021-06-26 Valentin Boettcher   draw dso with the correct position angle
9512d5254 2021-06-26 Valentin Boettcher   rediscover textures when downloading with knewstuff
6c72ce03f 2021-06-26 Valentin Boettcher   only discover texture dirs once
0f94ae768 2021-06-26 Jasem Mutlaq         Remove Boost requirement for Windows
aec4d7647 2021-06-25 Valentin Boettcher   correctly detect if the master catalog exists
